function [oname,olag] = findoccur(this)

anyoccurlag = ...
    permute(any(this.occur(:,this.nametype == 1,2:end),1),[2,3,1]);

[oname,olag] = find(anyoccurlag);

oname = [find(this.nametype == 1), ...
    oname.',find(this.nametype == 3)];

olag = [zeros(1,sum(this.nametype == 1)), ...
    olag.',zeros(1,sum(this.nametype == 3))];

end